summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-print/kyocera-mita-ppds
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-print/kyocera-mita-ppds')
-rw-r--r--net-print/kyocera-mita-ppds/Manifest1
-rw-r--r--net-print/kyocera-mita-ppds/kyocera-mita-ppds-8.4.ebuild61
-rw-r--r--net-print/kyocera-mita-ppds/metadata.xml7
3 files changed, 69 insertions, 0 deletions
diff --git a/net-print/kyocera-mita-ppds/Manifest b/net-print/kyocera-mita-ppds/Manifest
new file mode 100644
index 00000000000..22836b903c4
--- /dev/null
+++ b/net-print/kyocera-mita-ppds/Manifest
@@ -0,0 +1 @@
+DIST Linux_PPDs_KSL8_4.zip 6468249 RMD160 72a69db8f80488f233d1c04674efc77403098243 SHA1 73b6aa4462cef5205459ca6282307ca5ad56c81a SHA256 5e79034c9f92d5b656dcbf8967ebdf2007e28f3fefad97b9e8215aa7ef673c60
diff --git a/net-print/kyocera-mita-ppds/kyocera-mita-ppds-8.4.ebuild b/net-print/kyocera-mita-ppds/kyocera-mita-ppds-8.4.ebuild
new file mode 100644
index 00000000000..33c9867daf1
--- /dev/null
+++ b/net-print/kyocera-mita-ppds/kyocera-mita-ppds-8.4.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="PPD description files for (some) Kyocera Mita Printers"
+HOMEPAGE="http://www.kyoceramita.it/"
+SRC_URI="Linux_PPDs_KSL${PV/\./_}.zip"
+
+LICENSE="kyocera-mita-ppds"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE_LINGUAS="en fr de it pt es"
+
+IUSE=""
+for lingua in $IUSE_LINGUAS; do
+ IUSE="${IUSE} linguas_$lingua"
+done
+
+RDEPEND="net-print/cups"
+DEPEND="app-arch/unzip"
+
+S="${WORKDIR}/PPD's_KSL_${PV}"
+
+RESTRICT="fetch"
+
+pkg_nofetch() {
+ einfo "Please download ${A} from the following URL:"
+ einfo "http://www.kyoceramita.it/index/Service_Departement__/Richiesta_di_Supporto_Tecnico/download_center.false.driver.FS1020D._.IT.html"
+ einfo ""
+ einfo "The FS-1020D driver from the Italian website provides PPDs for a"
+ einfo "number of printers in six languages."
+}
+
+src_compile() { :; }
+
+src_install() {
+ insinto /usr/share/cups/model/KyoceraMita
+
+ local installall=yes
+ for lingua in $IUSE_LINGUAS; do
+ if use linguas_$lingua; then
+ installall=no
+ break;
+ fi
+ done
+
+ inslanguage() {
+ if [[ ${installall} == yes ]] || use linguas_$1; then
+ doins $2/*.ppd || die "failed to install $2 ppds"
+ fi
+ }
+
+ inslanguage en English
+ inslanguage fr French
+ inslanguage de German
+ inslanguage it Italian
+ inslanguage pt Portuguese
+ inslanguage es Spanish
+
+ dohtml ReadMe.htm || die
+}
diff --git a/net-print/kyocera-mita-ppds/metadata.xml b/net-print/kyocera-mita-ppds/metadata.xml
new file mode 100644
index 00000000000..63ac5653603
--- /dev/null
+++ b/net-print/kyocera-mita-ppds/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>flameeyes@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>